%define	upstream_name	 PathTools
%define upstream_version 3.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tools for working with paths and file specs across platforms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl-devel
%description
Tools for working with paths and file specs across platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*

%changelog

* Mon Mar 18 2013 jquelin <jquelin> 3.400.0-1.mga3
+ Revision: 403800
- update to 3.40

* Sun Jan 13 2013 umeabot <umeabot> 3.330.0-4.mga3
+ Revision: 371626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.330.0-3.mga3
+ Revision: 251035
- rebuild for perl 5.16

* Fri Feb 18 2011 jquelin <jquelin> 3.330.0-2.mga2
+ Revision: 53701
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.330.0-1.mga1
+ Revision: 24470
- fix specs
- imported package perl-PathTools

